#include<iostream>
#include<cmath>
#include<fstream>
#include<iomanip>
using namespace std;
int main()
{
	int n;
	ifstream f1("tinh.inp");
	f1>>n;
	f1.close();
	ofstream f2("tinh.out");
	int a=0;
	long long int b=1;
	float c=1;
	int d=0;
	for(int i=1;i<=n;i++)
	{
		a+=i;
	}
	for(int k=1;k<=n;k++)
	{
		b*=k;
	}
	float m=float(n);
	c=0.5-1/(m+1);
	for(int i=2;i<=n;i++)
	{
		d+=i;
	}
	f2.setf(ios::fixed);
	f2.setf(ios::showpoint);
	f2.precision(2);
	f2<<a<<endl;
	f2<<b<<endl;
	f2<<c<<endl;
	f2<<d<<endl;
	return 0;
}
